DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# Maximum

statistics function

## SYNOPSIS

dip_Error dip_Maximum ( in, mask, out, ps )

## DATA TYPES

binary, integer, float

## FUNCTION

Calculates the maximum of the pixel values over all those dimensions which are specified by `ps`.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `in` | Input
`dip_Image` | `mask (0)` | Mask
`dip_Image` | `out` | Output
`dip_BooleanArray` | `ps (0)` | Dimensions to project

## SEE ALSO

From images to scalars

`Sum`, `Mean`, `Variance`, `StandardDeviation`, `MeanModulus`, `SumModulus`, `MeanSquareModulus`, `Minimum`, `Median`, `Percentile`